List company verification reports
curl --request GET \
--url https://api.syntage.com/datasources/mx/company-verification/reports \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/company-verification/reports"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/company-verification/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/CompanyVerificationReport",
"@id": "/datasources/mx/company-verification/reports",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"rpcEntity": {
"@id": "/datasources/mx/rpc/entidades/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RpcEntidade",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"fme": "N-2000000000",
"nombreRazonSocial": "FOO BAR, S.A. DE C.V."
},
"extraction": "/extractions/91106968-1abd-4d64-85c1-4e73d96fb997",
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678",
"@type": "CompanyVerificationReport"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Company Verification Reports
List company verification reports
Lists company verification reports available to the organization. Use this endpoint when you need to page through reports across entities.
GET
/
datasources
/
mx
/
company-verification
/
reports
List company verification reports
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Order by resource creation date
Available options:
asc, desc Example:
"asc"
Order by resource update date
Available options:
asc, desc Example:
"asc"
Response
Company Verification Reports
Example:
"/datasources/mx/company-verification/reports"
Show child attributes
Show child attributes
Total number of items found
Required range:
x >= 0Example:
1
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I